de.heatup.cfg

## Class Config

- java.lang.Object
- - de.heatup.cfg.Config

    public class Config
    extends java.lang.Object

### Field Summary

Fields
`static int` `currentTickNr`
`static char` `firstHardwareChar`
`static int` `gamePanelWidth`
`static int` `initialSpeedMultiplicator`
`static char` `lastHardwareChar`
`static java.lang.String` `mapFilePath`
`static int` `mapMaxTilesHeight`
`static int` `mapMaxTilesWidth`
`static int` `singleTilePixels`
`static int` `spawnDistance`
`static int` `triggerAreaAddition`
`static char` `wallChar`
`static char` `wayChar`

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

Methods
`static void` `setGamePanelWidth(int width)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentTickNr

    public static int currentTickNr

#### triggerAreaAddition

    public static final int triggerAreaAddition

See Also:
  Constant Field Values

#### mapMaxTilesWidth

    public static final int mapMaxTilesWidth

See Also:
  Constant Field Values

#### mapMaxTilesHeight

    public static final int mapMaxTilesHeight

See Also:
  Constant Field Values

#### gamePanelWidth

    public static int gamePanelWidth

#### singleTilePixels

    public static int singleTilePixels

#### mapFilePath

    public static java.lang.String mapFilePath

#### wayChar

    public static final char wayChar

See Also:
  Constant Field Values

#### wallChar

    public static final char wallChar

See Also:
  Constant Field Values

#### firstHardwareChar

    public static final char firstHardwareChar

See Also:
  Constant Field Values

#### lastHardwareChar

    public static final char lastHardwareChar

See Also:
  Constant Field Values

#### spawnDistance

    public static final int spawnDistance

See Also:
  Constant Field Values

#### initialSpeedMultiplicator

    public static int initialSpeedMultiplicator

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### setGamePanelWidth

    public static void setGamePanelWidth(int width)

Deprecated.
Setzt die Spielfeldbreite und updated die Einzelteilbreite

Parameters:
  `width` -